sqlsrv_commit
sqlsrv_connect
SQLSRV Funções
PHP Manual

# sqlsrv_configure

(Não há informação de versão disponível, talvez apenas no SVN)

sqlsrv_configure — Changes the driver error handling and logging configurations

### Descrição

bool sqlsrv_configure ( string `$setting` , mixed `$value` )

Changes the driver error handling and logging configurations.

### Parâmetros

`setting`

  The name of the setting to set. The possible values are "WarningsReturnAsErrors", "LogSubsystems", and "LogSeverity".

`value`

  The value of the specified setting. The following table shows possible values:

  Error and Logging Setting Options
  Setting | Options
  --- | ---
  WarningsReturnAsErrors | 1 (`TRUE`) or 0 (`FALSE`)
  LogSubsystems | SQLSRV_LOG_SYSTEM_ALL (-1) SQLSRV_LOG_SYSTEM_CONN (2) SQLSRV_LOG_SYSTEM_INIT (1) SQLSRV_LOG_SYSTEM_OFF (0) SQLSRV_LOG_SYSTEM_STMT (4) SQLSRV_LOG_SYSTEM_UTIL (8)
  LogSeverity | SQLSRV_LOG_SEVERITY_ALL (-1) SQLSRV_LOG_SEVERITY_ERROR (1) SQLSRV_LOG_SEVERITY_NOTICE (4) SQLSRV_LOG_SEVERITY_WARNING (2)

### Valor Retornado

Retorna `TRUE` em caso de sucesso ou `FALSE` em caso de falha.

### Veja Também

- » SQLSRV Error Handling.
- » Logging SQLSRV Activity.

sqlsrv_commit
sqlsrv_connect
SQLSRV Funções
PHP Manual